<?php

error_reporting(E_ALL);
ini_set('display_errors', '1');

require_once '../application/libraries/jsonRPCClient.php';

define( 'LS_BASEURL', 'https://your lime survey installation/index.php');  // adjust this one to your actual LimeSurvey URL
define( 'LS_USER', 'your lime surveu user name' );
define( 'LS_PASSWORD', 'your limesurvey password' );

// the survey to process
$survey_id=536937;

// instanciate a new client
$myJSONRPCClient = new JsonRPCClient(LS_BASEURL.'/admin/remotecontrol');

// receive session key
$sessionKey= $myJSONRPCClient->get_session_key( LS_USER, LS_PASSWORD );

// receive all ids and info of groups belonging to a given survey
$responses = $myJSONRPCClient->export_responses ($sessionKey, $survey_id,
"csv",
"en",
"complete",
"full",
"long"
); 

//Export response data to pdf,csv,xls,doc

file_put_contents("dashdata.csv", base64_decode($responses), FILE_SKIP_EMPTY_LINES);

// release the session key
$myJSONRPCClient->release_session_key( $sessionKey );

$fullPath = 'dashdata.csv'; // test file to read 
$filecontent = file($fullPath); // put content in array 
$num_lines = count($filecontent); // determine num of lines 
$file = 'dashdataclean.csv'; // test file to write 
$fp = fopen($file, 'w'); // create file pointer 
for($i = 0; $i < $num_lines; $i++) // start loop 
{ 
    $line = trim($filecontent[$i]); // trim line 
    if(!empty($line)) // if not empty 
    { 
        if($i < count($filecontent) - 2) //Remove the two blank lines from the csv file that is exported via the remote control API
        { 
            fwrite($fp, $line . "\n"); // add NEW line 
        } 
        else { 
            fwrite($fp, $line); 
        } 
     } 
} 

fclose($fp); // close file pointer 



// Generate Dashboard Page

include("surveydash.php")

?>
